import 'environment/environment.dart';

class API {
  static const tokenKey = 'Telephony-Manage-Token';

  ///HOST
  static String get host {
    if (DevEV.instance.dev) {
      return 'http://10.0.2.2:8088';
    } else {
      return 'https://api.yunyunwenche.com';
    }
  }

  static String get imageHost {
    if (DevEV.instance.dev) {
      return 'http://10.0.2.2:8088';
    } else {
      return 'https://static.yunyunwenche.com';
    }
  }
  static const int networkTimeOut = 10000;

  static String get baseURL => '$host';

  static _Manager manager = _Manager();
  static _Pay pay = _Pay();
}
class _Manager {
  String get login => '/manage/login';
  String get logout => '/manage/login/logout';
  String get captcha => '/manage/captcha';
  String get info => '/manage/user/info';
}

class _Pay {
  String get wxpay => '/manage/pay/wxpay';
  String get alipay => '/manage/pay/alipay';
  String get wxCallback => '/callback/wxpay/notify';
  String get aliCallback => '/callback/alipay/notify';
}